Subject: Re: [PATCH net-next 0/2] ice: support FEC automatic disable

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 Aug 2022 10:30:27 -0700

On Thu, 25 Aug 2022 16:57:50 +0000 Keller, Jacob E wrote:
> > Sorry, I misinterpreted your previous reply, somehow I thought you
> > quoted option (3), because my fallible reading of mlx5 was that it
> > accepts multiple flags.
> > 
> > (First) option 2 is fine.
> 
> Even though existing behavior doesn't do that for ice right now and
> wouldn't be able to do that properly with old firmware?

Update your FW seems like a reasonable thing to ask customers to do.
Are there cables already qualified for the old FW which would switch
to No FEC under new rules?

Can you share how your FW picks the mode exactly?

There must be _some_ standardization here, because we're talking about
<5m cables, so we can safely assume it's linking to a ToR switch.